## kmymoney 4.6.6

=== CMakeLists.txt ===
# Setting the name of the main project
PROJECT(KMyMoney)

# The CMake version we require
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.4)

# cmake 2.6 proposed to add this policy
if(COMMAND cmake_policy)
  if(POLICY CMP0017)
    cmake_policy(SET CMP0017 NEW)
  endif(POLICY CMP0017)
  cmake_policy(SET CMP0003 NEW)
  # until the createtarball script generates different custom targets
  # for the various translations, we need to keep the following setting
  # http://www.vtkedge.org/Wiki/CMake_Policies#Setting_Policies_Individually
  # has an explanation of the problem
  cmake_policy(SET CMP0002 OLD)
endif(COMMAND cmake_policy)

# Our modules reside in the subdirectory cmake/modules/
SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

######################### KMyMoney Version ##########################

# The current version of KMyMoney (used for packages and config.h)
SET(VERSION_MAJOR "4")
SET(VERSION_MINOR "6")
SET(VERSION_PATCH "6")

# Determine the SVN revision number (if we're based on SVN)
IF(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/.svn)
  # make sure we don't use translated messages here
  SET(LANG $ENV{LANG})
  SET(ENV{LANG} "C")
  EXECUTE_PROCESS(COMMAND svn info ${CMAKE_CURRENT_SOURCE_DIR} OUTPUT_VARIABLE VERSION_SUFFIX)
  STRING(REGEX MATCH "Revision: ([0-9]+)" VERSION_SUFFIX "${VERSION_SUFFIX}") 
  STRING(REPLACE "Revision: " "" VERSION_SUFFIX "${VERSION_SUFFIX}")
  SET(VERSION_SUFFIX "-svn${VERSION_SUFFIX}")
  # switch back to the original language setting
  SET(ENV{LANG} ${LANG})
ENDIF(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/.svn)

######################### General Requirements ##########################

# setup default CMAKE_INSTALL_PREFIX before calling FIND_PACKAGE(KDE4)
# see https://bugs.kde.org/show_bug.cgi?id=261132
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  execute_process(COMMAND kde4-config --prefix COMMAND tr -d "\n" OUTPUT_VARIABLE KDE4_INSTALL_PREFIX)
  set(CMAKE_INSTALL_PREFIX "${KDE4_INSTALL_PREFIX}" CACHE PATH
    "KMyMoney install prefix defaults to the KDE4 install prefix: ${KDE4_INSTALL_PREFIX}" FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

FIND_PACKAGE(KDE4 4.3.5 REQUIRED)

include( KDE4Defaults )
include( MacroLibrary )
include( KMyMoneyMacros )
# needed by libkgpgfile
if (WIN32)
  find_package(Boost "1.33.1")
else (WIN32)
  find_package(Boost "1.33.1" COMPONENTS graph)
endif (WIN32)
# needed by libkgpgfile
find_package(QGpgme REQUIRED)
find_package(KdepimLibs REQUIRED)
find_package(SharedMimeInfo REQUIRED)

add_definitions( ${QT_DEFINITIONS} ${KDE4_DEFINITIONS} ${KDEPIM_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

string(TOLOWER ${CMAKE_BUILD_TYPE} CMAKE_BUILD_TYPE_TOLOWER)
if(CMAKE_BUILD_TYPE_TOLOWER MATCHES debugfull)
  add_definitions (-DQT_STRICT_ITERATORS)
  set(KMM_DEBUG 1)
endif()

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )

# check for Doxygen
FIND_PACKAGE(Doxygen)
IF(DOXYGEN_FOUND)
  SET(APIDOC_DIR ${CMAKE_CURRENT_BINARY_DIR}/apidocs)

  MAKE_DIRECTORY(${APIDOC_DIR})

  CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/kmymoney.doxygen.in ${CMAKE_CURRENT_BINARY_DIR}/kmymoney.doxygen IMMEDIATE)

  ADD_CUSTOM_TARGET(apidoc ${DOXYGEN} ${CMAKE_CURRENT_BINARY_DIR}/kmymoney.doxygen)
ENDIF(DOXYGEN_FOUND)

FIND_PACKAGE(GMP REQUIRED)
FIND_PACKAGE(LibAlkimia 4.3.1 REQUIRED)

# check for PkgConfig
FIND_PACKAGE(PkgConfig)
# check for some modules we require
pkg_check_modules (PKGS libxml-2.0 libxml++-2.6 glib-2.0 glibmm-2.4)
# this sets variables like ${PKGS_INCLUDE_DIRS} ${PKGS_LIBRARY_DIRS}
# (cf. /usr/share/cmake/Modules/FindPkgConfig.cmake for more info)

# check some functions
INCLUDE (CheckFunctionExists) 
CHECK_FUNCTION_EXISTS(atoll HAVE_ATOLL)

IF(NOT WIN32)
    SET(CMAKE_REQUIRED_FLAGS "-std=c99")
    SET(CMAKE_REQUIRED_LIBRARIES m)
ENDIF(NOT WIN32)
CHECK_FUNCTION_EXISTS(round HAVE_ROUND)

# check for function in header
INCLUDE(CheckSymbolExists)
SET(CMAKE_REQUIRED_DEFINITIONS -D_XOPEN_SOURCE=500 -D_BSD_SOURCE)

# check some include files exists
INCLUDE (CheckIncludeFile)
CHECK_INCLUDE_FILE("stdint.h" HAVE_STDINT_H)
CHECK_INCLUDE_FILE("sys/types.h" HAVE_SYS_TYPES_H)
CHECK_INCLUDE_FILE("unistd.h" HAVE_UNISTD_H)

#check sizes. Will be written to config.h
INCLUDE(CheckTypeSize)
CHECK_TYPE_SIZE(char* SIZEOF_CHAR_P)
CHECK_TYPE_SIZE(int SIZEOF_INT)
CHECK_TYPE_SIZE(long SIZEOF_LONG)
CHECK_TYPE_SIZE(short SIZEOF_SHORT)
CHECK_TYPE_SIZE(size_t SIZEOF_SIZE_T)
CHECK_TYPE_SIZE("unsigned long" SIZEOF_UNSIGNED_LONG)
CHECK_TYPE_SIZE("long double" SIZEOF_LONG_DOUBLE)

MARK_AS_ADVANCED(
  KDE4_KCFGC_EXECUTABLE KDE4_KDECORE_LIBRARY KDECONFIG_EXECUTABLE)

######################### Special Requirements ##########################

# This is needed for QtSqlite and QtDesigner
# (they'll install files to ${QT_INSTALL_DIR}/plugins/)
GET_FILENAME_COMPONENT(QT_BIN_DIR ${QT_MOC_EXECUTABLE} PATH)
GET_FILENAME_COMPONENT(QT_DIR     ${QT_BIN_DIR}        PATH)
SET(QT_INSTALL_DIR ${QT_DIR} CACHE PATH
  "Qt install prefix defaults to the Qt prefix: ${QT_DIR}")


# check for optional OFX support
SET(LIBOFX_DEFAULT "AUTO")
IF(DEFINED ENABLE_LIBOFX)
  SET(LIBOFX_DEFAULT ${ENABLE_LIBOFX})
ENDIF(DEFINED ENABLE_LIBOFX)
OPTION(ENABLE_LIBOFX "Enable OFX plugin" ON)
IF(ENABLE_LIBOFX)
  FIND_PACKAGE(LibOfx)
  IF(NOT LIBOFX_FOUND)
    IF(NOT LIBOFX_DEFAULT STREQUAL "AUTO")
      MESSAGE(FATAL_ERROR "LibOFX not found")
    ENDIF(NOT LIBOFX_DEFAULT STREQUAL "AUTO")
    SET(ENABLE_LIBOFX OFF CACHE BOOL "Enable OFX plugin" FORCE)
  ENDIF(NOT LIBOFX_FOUND)
ENDIF(ENABLE_LIBOFX)

# check for optional KBanking support
SET(KBANKING_FOUND "AUTO")
MARK_AS_ADVANCED(KBANKING_FOUND)
IF(DEFINED ENABLE_KBANKING)
  SET(KBANKING_FOUND OFF)
ENDIF(DEFINED ENABLE_KBANKING)
OPTION(ENABLE_KBANKING "Enable KBanking plugin" ON)
IF(ENABLE_KBANKING)
  FIND_PACKAGE(Gwenhywfar)
  FIND_PACKAGE(AqBanking)
  IF (AQBANKING_FOUND AND GWENHYWFAR_FOUND)
    SET(KBANKING_FOUND ON)
  ELSE (AQBANKING_FOUND AND GWENHYWFAR_FOUND)
    IF(NOT KBANKING_FOUND STREQUAL "AUTO")
      MESSAGE(FATAL_ERROR "KBanking requirements not met")
    ENDIF(NOT KBANKING_FOUND STREQUAL "AUTO")
    SET(KBANKING_FOUND OFF)
    SET(ENABLE_KBANKING OFF CACHE BOOL "Enable KBanking plugin" FORCE)
  ENDIF (AQBANKING_FOUND AND GWENHYWFAR_FOUND)
ENDIF(ENABLE_KBANKING)

# check for optional ical support
SET(LIBICAL_DEFAULT "AUTO")
IF(DEFINED ENABLE_LIBICAL)
  SET(LIBICAL_DEFAULT ${ENABLE_LIBICAL})
ENDIF(DEFINED ENABLE_LIBICAL)
OPTION(ENABLE_LIBICAL "Enable Calendar plugin" ON)
IF(ENABLE_LIBICAL)
  FIND_PACKAGE(Libical)
  IF(NOT LIBICAL_FOUND)
    IF(NOT LIBICAL_DEFAULT STREQUAL "AUTO")
      MESSAGE(FATAL_ERROR "LIBICAL not found")
    ENDIF(NOT LIBICAL_DEFAULT STREQUAL "AUTO")
    SET(ENABLE_LIBICAL OFF CACHE BOOL "Enable Calendar plugin" FORCE)
  ENDIF(NOT LIBICAL_FOUND)
ENDIF(ENABLE_LIBICAL)

# do we build the tests?
IF( KDE4_BUILD_TESTS )
  # INCLUDE(CTest) # (makes sense only with a ctest online dashboard)
  ENABLE_TESTING()
ENDIF( KDE4_BUILD_TESTS )

######################### Settings ##########################

# If no build type is set, use "Release with Debug Info"
IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE RelWithDebInfo)
ENDIF(NOT CMAKE_BUILD_TYPE)

SET(CMAKE_BUILD_TYPE "${CMAKE_BUILD_TYPE}" CACHE STRING
  "Choose the type of build.
Possible values are: 'Release' 'RelWithDebInfo' 'Debug' 'Debugfull' 'Profile'
The default value is: 'RelWithDebInfo'" FORCE)

ADD_DEFINITIONS(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

# tell the KMyMoney sources that a config.h is present:
ADD_DEFINITIONS( -DHAVE_CONFIG_H )

# preprocessor definitions in case this is a debug build
STRING(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)
IF(${CMAKE_BUILD_TYPE_TOLOWER} MATCHES "^debug(full)?$|^profile$")
  ADD_DEFINITIONS( -DKMM_DEBUG )
ENDIF()

# tells gcc to enable exception handling
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

IF(CMAKE_SYSTEM_NAME MATCHES Linux)
  SET(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--as-needed")
  SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--as-needed")
ENDIF(CMAKE_SYSTEM_NAME MATCHES Linux)

IF(NOT WIN32)
  # use position independent code
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
ENDIF(NOT WIN32)
IF(NOT MSVC)
  # be more pedantic about common symbols
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-common")

  # Debug, Debugfull, Profile
  SET(CMAKE_CXX_FLAGS_DEBUG
    "-g -O2 -fno-reorder-blocks -fno-schedule-insns -fno-inline")
  SET(CMAKE_CXX_FLAGS_DEBUGFULL
    "-g3 -fno-inline")
  SET(CMAKE_CXX_FLAGS_PROFILE
    "-g3 -fno-inline -ftest-coverage -fprofile-arcs")

  # be pedantic about undefined symbols when linking shared libraries
  IF(CMAKE_SYSTEM_NAME MATCHES Linux OR CMAKE_SYSTEM_NAME MATCHES kFreeBSD OR CMAKE_SYSTEM_NAME STREQUAL GNU)
    SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined -Wl,--as-needed")
  ENDIF(CMAKE_SYSTEM_NAME MATCHES Linux OR CMAKE_SYSTEM_NAME MATCHES kFreeBSD OR CMAKE_SYSTEM_NAME STREQUAL GNU)
ENDIF(NOT MSVC)

OPTION(USE_QT_DESIGNER
  "Install KMyMoney specific widget library for Qt-Designer (default=OFF)" OFF)

OPTION(USE_DEVELOPER_DOC
  "Install KMyMoney specific developer documentation (default=OFF)" OFF)

if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/doc")
  OPTION(USE_HTML_HANDBOOK
    "Generate KMyMoney manual in HTML format (default=OFF)" OFF)
endif(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/doc")

# remark: these directories are used to find libs and .h files.
# they are set globally after this point. no need to add everywhere.
LINK_DIRECTORIES( ${KDE4_LIB_DIR} )
INCLUDE_DIRECTORIES(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${KDE4_INCLUDE_DIR}
  ${QT_INCLUDE_DIR}
  ${PKGS_INCLUDE_DIRS})


# Generation of the HTML version of the manual
IF(USE_HTML_HANDBOOK)
  # to be done. See KDE4Macros.cmake for custom target "htmlhandbook"
  # and kmymoney2/doc/en/Makefile.am on how one could do that
ENDIF(USE_HTML_HANDBOOK)

######################### The Actual Targets ##########################
ADD_SUBDIRECTORY( libkgpgfile )
ADD_SUBDIRECTORY( libkdchart )
ADD_SUBDIRECTORY( kmymoney )
IF (USE_DEVELOPER_DOC)
  ADD_SUBDIRECTORY( developer-doc )
ENDIF (USE_DEVELOPER_DOC)
ADD_SUBDIRECTORY( doc )

#CONFIGURE_FILE(
#  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
#  "${CMAKE_BINARY_DIR}/cmake_uninstall.cmake"
#  IMMEDIATE @ONLY)

#ADD_CUSTOM_TARGET(uninstall
#  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")


# by default, the package name is kmymoney
SET(CPACK_PACKAGE_NAME "kmymoney")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A Personal Finance Manager")
SET(CPACK_PACKAGE_VERSION_MAJOR  ${VERSION_MAJOR})
SET(CPACK_PACKAGE_VERSION_MINOR  ${VERSION_MINOR})
SET(CPACK_PACKAGE_VERSION_PATCH  ${VERSION_PATCH})
SET(CPACK_PACKAGE_INSTALL_DIRECTORY "/opt/kde4")

# When building with 'make package', use these cpack generators
SET(CPACK_GENERATOR "TGZ" "TBZ2")
# When building with 'make package_source', use these cpack generators
SET(CPACK_SOURCE_GENERATOR "TGZ" "TBZ2")

# don't include files matching these into the source packages
# (Note: all other files in the source directory will be included)
SET(CPACK_SOURCE_IGNORE_FILES
  "${CMAKE_CURRENT_BINARY_DIR}" # the build directory. MUST build out-of-source!
  "/CVS/"      # cvs directories
  "/\\\\."     # all files starting with '.' (this includes .cvsignore files)
  "~$"         # all files ending in '~'
  "\\\\.m4$"   # since this is a cmake dist, we remove automake files
  "\\\\.m4\\\\.in$" "\\\\.am$" "Makefile\\\\.dist" "configure\\\\.in"
  )
# This will create the cpack configuration files.
INCLUDE(CPack)

##### RPM Setup (.rpm and .srpm) #####
# We use cmake/modules/UseRPMTools.cmake for RPM creation
INCLUDE(UseRPMTools)
IF(RPMTools_FOUND)
  SET(RPM_VERSION_SUFFIX  ${VERSION_SUFFIX})
  IF(${RPM_VERSION_SUFFIX} MATCHES "-.*")

=== doc-translations/CMakeLists.txt ===
add_subdirectory( de_kmymoney/kmymoney )
add_subdirectory( es_kmymoney/kmymoney )
add_subdirectory( fr_kmymoney/kmymoney )
add_subdirectory( it_kmymoney/kmymoney )
add_subdirectory( nl_kmymoney/kmymoney )
add_subdirectory( pt_kmymoney/kmymoney )
add_subdirectory( pt_BR_kmymoney/kmymoney )
add_subdirectory( sv_kmymoney/kmymoney )
add_subdirectory( uk_kmymoney/kmymoney )

=== libkgpgfile/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDE_DIR} ${QT_INCLUDE_DIR} ${GPGME_INCLUDES} ${Boost_INCLUDE_DIR} ${KDEPIMLIBS_INCLUDE_DIRS} )

########### next target ###############

SET(kgpgfile_STAT_SRCS
   kgpgfile.cpp
   )

KDE4_ADD_LIBRARY(kgpgfile STATIC ${kgpgfile_STAT_SRCS})
TARGET_LINK_LIBRARIES(kgpgfile ${QGPGME_LIBRARIES})

=== developer-doc/phb/CMakeLists.txt ===
KDE4_CREATE_HANDBOOK(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kmymoney-developer)
INSTALL(PROGRAMS kmymoney-developer.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR})

=== kmymoney/dialogs/CMakeLists.txt ===
ADD_SUBDIRECTORY( settings ) 

########### next target ###############

SET(libdialogs_a_SOURCES
  investactivities.cpp 
  investtransactioneditor.cpp
  kaccountselectdlg.cpp 
  kbackupdlg.cpp 
  kbalancechartdlg.cpp
  kbalancewarning.cpp 
  kcategoryreassigndlg.cpp
  kchooseimportexportdlg.cpp 
  kconfirmmanualenterdlg.cpp
  kcurrencycalculator.cpp 
  kcurrencyeditdlg.cpp
  keditscheduledlg.cpp
  kenterscheduledlg.cpp
  kequitypriceupdatedlg.cpp 
  kexportdlg.cpp 
  kfindtransactiondlg.cpp 
  kgeneratesqldlg.cpp
  kgncimportoptionsdlg.cpp 
  kgncpricesourcedlg.cpp
  kgpgkeyselectiondlg.cpp 
  kimportdlg.cpp
  kloadtemplatedlg.cpp
  kmergetransactionsdlg.cpp 
  kmymoneyfileinfodlg.cpp
  kmymoneypricedlg.cpp 
  kmymoneysplittable.cpp 
  knewaccountdlg.cpp
  knewbankdlg.cpp 
  knewbudgetdlg.cpp 
  knewequityentrydlg.cpp
  knewfiledlg.cpp 
  kpayeereassigndlg.cpp 
  kreportconfigurationfilterdlg.cpp
  kselectdatabasedlg.cpp
  kselecttransactionsdlg.cpp 
  ksplittransactiondlg.cpp 
  kupdatestockpricedlg.cpp 
  mymoneyqifprofileeditor.cpp
  transactioneditor.cpp 
  transactionmatcher.cpp
  )

SET(dialogs_HEADERS
  investtransactioneditor.h kcurrencycalculator.h transactioneditor.h
  )

SET(dialogs_UI
  kaccountselectdlgdecl.ui kbackupdlgdecl.ui
  kcategoryreassigndlgdecl.ui kchooseimportexportdlgdecl.ui
  kconfirmmanualenterdlgdecl.ui
  kcurrencycalculatordecl.ui kcurrencyeditdlgdecl.ui
  keditscheduledlgdecl.ui
  kenterscheduledlgdecl.ui
  kequitypriceupdatedlgdecl.ui kexportdlgdecl.ui
  kfindtransactiondlgdecl.ui kgeneratesqldlgdecl.ui kgncimportoptionsdlgdecl.ui
  kgncpricesourcedlgdecl.ui kimportdlgdecl.ui kloadtemplatedlgdecl.ui
  kmymoneyfileinfodlgdecl.ui kmymoneypricedlgdecl.ui
  knewaccountdlgdecl.ui knewbankdlgdecl.ui knewbudgetdlgdecl.ui
  knewequityentrydecl.ui knewfiledlgdecl.ui kpayeereassigndlgdecl.ui
  kselectdatabasedlgdecl.ui kselecttransactionsdlgdecl.ui
  ksortoptiondlg.ui ksplitcorrectiondlg.ui ksplittransactiondlgdecl.ui
  kupdatestockpricedlgdecl.ui mymoneyqifprofileeditordecl.ui
  ../widgets/kaccounttemplateselectordecl.ui ../widgets/transactionsortoptiondecl.ui
)

kde4_add_ui_files(libdialogs_a_SOURCES ${dialogs_UI} )

# in order to use add_dependencies, we need to add this custom target
# for all generated header files.
# (see http://www.vtk.org/Wiki/CMake_FAQ#How_can_I_add_a_dependency_to_a_source_file_which_is_generated_in_a_subdirectory.3F )
ADD_CUSTOM_TARGET(generate_dialogs_ui_srcs DEPENDS ${dialogs_ui_srcs})

KDE4_ADD_LIBRARY(dialogs STATIC ${libdialogs_a_SOURCES} ${dialogs_ui_srcs})

# we rely on the widgets to be generated
ADD_DEPENDENCIES(dialogs widgets)

########### install files ###############

INSTALL(FILES  ${dialogs_HEADERS}
  DESTINATION ${INCLUDE_INSTALL_DIR}/kmymoney COMPONENT Devel)

=== kmymoney/html/CMakeLists.txt ===
########### install files ###############

FILE(GLOB html_files *.html)
FILE(GLOB css_files  *.css)

INSTALL(FILES ${html_files}
	DESTINATION ${DATA_INSTALL_DIR}/kmymoney/html
)
INSTALL(FILES ${css_files}
	DESTINATION ${DATA_INSTALL_DIR}/kmymoney/html
)
INSTALL(DIRECTORY images
	DESTINATION ${DATA_INSTALL_DIR}/kmymoney/html
	PATTERN ".svn" EXCLUDE
	PATTERN "*Make*" EXCLUDE
)

=== kmymoney/pics/CMakeLists.txt ===
ADD_SUBDIRECTORY( l10n )
INSTALL(FILES  startlogo.png  titlelabel_background.png
	DESTINATION ${DATA_INSTALL_DIR}/kmymoney/pics/
)

=== kmymoney/reports/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${KMyMoney_SOURCE_DIR}/libkdchart/include)

SET (libreports_a_SOURCES
  kreportchartview.cpp
  reportaccount.cpp
  listtable.cpp
  objectinfotable.cpp
  pivotgrid.cpp
  pivottable.cpp
  querytable.cpp
  reporttable.cpp
  kbalanceaxis.cpp
)

KDE4_ADD_LIBRARY(reports STATIC ${libreports_a_SOURCES})

ADD_DEPENDENCIES(reports kmm_config)

############## tests ####################
IF( KDE4_BUILD_TESTS )

  # Pivot Grid
  set( pivotgridtest_SRCS pivotgridtest.cpp reportstestcommon.cpp )

  kde4_add_unit_test( pivotgridtest TESTNAME kmymoney-pivotgridtest ${pivotgridtest_SRCS} )
  ADD_DEPENDENCIES( pivotgridtest reports kmymoney_base kmymoney_common kmm_storage )

  target_link_libraries( pivotgridtest reports kmymoney_base kmymoney_common kmm_storage ${KDE4_KDEUI_LIBS} ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} )

IF(NOT WIN32)
  # Pivot Table
  set( pivottabletest_SRCS pivottabletest.cpp reportstestcommon.cpp ../mymoney/mymoneytestutils.cpp )

  kde4_add_unit_test( pivottabletest TESTNAME kmymoney-pivottabletest ${pivottabletest_SRCS} )

  ADD_DEPENDENCIES( pivottabletest dialogs widgets reports settings kmymoney_base kmymoney_common kmm_kdchart kmm_storage kmm_config )

  target_link_libraries( pivottabletest reports settings kmymoney_base kmymoney_common dialogs widgets kmm_kdchart kmm_storage kmm_config ${KDE4_KDEUI_LIBS} ${KDE4_KDECORE_LIBS}  ${QT_QTGUI_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} )

  # Query Table
  set( querytabletest_SRCS querytabletest.cpp reportstestcommon.cpp ../mymoney/mymoneytestutils.cpp )

  kde4_add_unit_test( querytabletest TESTNAME kmymoney-querytabletest ${querytabletest_SRCS} )
  ADD_DEPENDENCIES( querytabletest dialogs widgets reports settings kmymoney_base kmymoney_common kmm_storage kmm_config )

  target_link_libraries( querytabletest reports kmymoney_base kmymoney_common dialogs widgets kmm_storage kmm_config ${KDE4_KDEUI_LIBS} ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} )
ENDIF(NOT WIN32)

ENDIF( KDE4_BUILD_TESTS )

=== kmymoney/templates/CMakeLists.txt ===
########### install files ###############

INSTALL(DIRECTORY
  C de_AT de_CH de_DE dk el_GR en_GB en_US en_CA es_AR es_ES es_MX fr_CA
  fr_CH fr_FR gl_ES hu_HU it jp nl_NL pt_BR pt_PT ro_RO ru_RU sk tr_TR
  uk_UA zh_CN zh_HK zh_TW
  DESTINATION ${DATA_INSTALL_DIR}/kmymoney/templates
  PATTERN ".svn" EXCLUDE
  PATTERN "*Make*" EXCLUDE
  )

=== kmymoney/widgets/CMakeLists.txt ===
PROJECT(widgets)

########### custom command #############

########### create links ###############
SET(kmymoney_STAT_HEADERS
  kaccounttemplateselector.h kbudgetvalues.h kguiutils.h
  kmymoneyaccountcombo.h kmymoneyaccountcompletion.h
  kmymoneyaccountselector.h
  kmymoneycategory.h
  kmymoneycombo.h kmymoneymvccombo.h kmymoneycompletion.h
  kmymoneycurrencyselector.h  kmymoneydateinput.h kmymoneyedit.h
  kmymoneylineedit.h kmymoneyselector.h
  kmymoneytitlelabel.h kmymoneywizard.h register.h registeritem.h
  scheduledtransaction.h selectedtransaction.h stdtransactiondownloaded.h
  stdtransactionmatched.h transactioneditorcontainer.h
  transactionform.h transaction.h transactionsortoptionimpl.h
  kmymoneyreportconfigtabimpl.h kmymoneyreportcontrolimpl.h
  kmymoney_export.h
  )

########### Shared widget library ###########
SET(kmm_widgets_sources
  kmymoneydateinput.cpp
  )

KDE4_ADD_LIBRARY(kmm_widgets SHARED ${kmm_widgets_sources})
TARGET_LINK_LIBRARIES(kmm_widgets ${KDE4_KDEUI_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY} ${KDE4_KDECORE_LIBS})
SET_TARGET_PROPERTIES(kmm_widgets PROPERTIES
   COMPILE_FLAGS "-DKMM_BUILD_WIDGETS_LIB"
   VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})
INSTALL(TARGETS kmm_widgets ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### Basic Widget Library (kmymoney_base) STATIC #################

# Common sources for libkmymoney.so and libwidgets.a that do not
# contain the KMM_DESIGNER flag
SET(_uncritial_common_sources
  kbudgetvalues.cpp
  kguiutils.cpp
  kmymoneyaccountcombo.cpp
  kmymoneyaccountselector.cpp
  kmymoneyaccounttreeview.cpp
  kmymoneycalculator.cpp
  kmymoneycombo.cpp
  kmymoneycompletion.cpp
  kmymoneydatetbl.cpp
  kmymoneyedit.cpp
  kmymoneylineedit.cpp
  kmymoneymvccombo.cpp
  kmymoneyselector.cpp
  kmymoneytitlelabel.cpp
  kmymoneywizard.cpp
  kpricetreeitem.cpp
  registeritem.cpp
  scheduledtransaction.cpp
  selectedtransaction.cpp
  stdtransactiondownloaded.cpp
  stdtransactionmatched.cpp 
  transaction.cpp
  transactionform.cpp
  transactionsortoptionimpl.cpp
  )

# sources that contain the KMM_DESIGNER flag
SET (_critial_common_sources
  kaccounttemplateselector.cpp
  kmymoneycurrencyselector.cpp
  kmymoneyaccountcompletion.cpp
  kmymoneycategory.cpp
  register.cpp
  )


SET (kmymoney_base_UI
  kbudgetvaluesdecl.ui transactionsortoptiondecl.ui kaccounttemplateselectordecl.ui
  )

KDE4_ADD_UI_FILES(kmymoney_base_ui_srcs ${kmymoney_base_UI})
SET(_uncritial_common_sources ${_uncritial_common_sources}
  ${kmymoney_base_ui_srcs})

# in order to use add_dependencies, we need to add this custom target
# for all generated header files.
# (see http://www.vtk.org/Wiki/CMake_FAQ#How_can_I_add_a_dependency_to_a_source_file_which_is_generated_in_a_subdirectory.3F )
ADD_CUSTOM_TARGET(generate_base_ui_srcs DEPENDS
  ${kmymoney_base_ui_srcs})

# We can compile the uncritical sources without KMM_DESIGNER flags
KDE4_ADD_LIBRARY(kmymoney_base STATIC ${_uncritial_common_sources})

ADD_DEPENDENCIES(kmymoney_base kmm_config)

########### QtDesigner Widget Library (kmymoneywidgets) #################
# we never link against this library,
# but it is needed for uic and QtDesigner
IF( USE_QT_DESIGNER )
  SET(kmymoneywidgets_PART_SRCS
      ${CMAKE_CURRENT_BINARY_DIR}/kmymoneywidgets.cpp)

  KDE4_ADD_WIDGET_FILES(${kmymoneywidgets_PART_SRCS} kmymoney.widgets)

  SET(kmymoneywidgets_PART_SRCS
    ${_critial_common_sources}
    ${kmymoneywidgets_PART_SRCS})

  KDE4_ADD_PLUGIN(kmymoneywidgets ${kmymoneywidgets_PART_SRCS})

  INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} )

  # The option -DKMM_DESIGNER will leave away any code that breaks uic.
  SET_TARGET_PROPERTIES(kmymoneywidgets PROPERTIES
    COMPILE_FLAGS "-DKMM_DESIGNER")

  TARGET_LINK_LIBRARIES(kmymoneywidgets kmymoney_base kmm_mymoney kmymoney_common kmm_config dialogs models converter ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS})

  INSTALL(TARGETS kmymoneywidgets DESTINATION ${QT_PLUGINS_DIR}/designer )
ENDIF( USE_QT_DESIGNER )

########### Widget Library (widgets) STATIC #################

SET(libwidgets_a_SOURCES
  ${_critial_common_sources}
  kmymoneybriefschedule.cpp
  kmymoneycalendar.cpp
  kmymoneyscheduledcalendar.cpp
  kmymoneyscheduleddatetbl.cpp
  registersearchline.cpp
  transactioneditorcontainer.cpp
  kmymoneyreportconfigtabimpl.cpp
  kmymoneyreportcontrolimpl.cpp
  )

SET(libwidgets_a_UI
  kschedulebriefwidget.ui kmymoneyreportcontroldecl.ui
  kmymoneyreportconfigtab1decl.ui kmymoneyreportconfigtab2decl.ui
  kmymoneyreportconfigtab3decl.ui kmymoneyreportconfigtabchartdecl.ui
  )

# using uic on the above UI files DEPENDS on libkmymoney.so. If uic
# does not find libkmymoney.so, gcc will fail compiling
# kmymoneyreportconfigtab2decl.cpp and throw errors like "invalid use
# of undefined type `struct KMyMoneyGeneralCombo'"


kde4_add_ui_files(widgets_ui_srcs ${libwidgets_a_UI})
ADD_CUSTOM_TARGET(generate_widgets_ui_srcs DEPENDS ${widgets_ui_srcs})

KDE4_ADD_LIBRARY(widgets STATIC
  ${libwidgets_a_SOURCES}
  ${widgets_ui_srcs}
  )
TARGET_LINK_LIBRARIES(widgets kmymoney_base)

ADD_DEPENDENCIES(widgets kmm_config)

########### install files ###############

INSTALL(FILES ${kmymoney_STAT_HEADERS} 
  DESTINATION ${INCLUDE_INSTALL_DIR}/kmymoney COMPONENT Devel)

=== kmymoney/wizards/CMakeLists.txt ===
PROJECT(Wizards)

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR}/wizardpages)

ADD_SUBDIRECTORY( wizardpages )
ADD_SUBDIRECTORY( newuserwizard ) 
ADD_SUBDIRECTORY( newaccountwizard )
ADD_SUBDIRECTORY( newinvestmentwizard )
ADD_SUBDIRECTORY( newloanwizard )
ADD_SUBDIRECTORY( endingbalancedlg )

=== doc-translations/fr_kmymoney/kmymoney/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/fr/)

=== debian/changelog ===
kmymoney (4.6.6-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS by adding build-depends on libsoprano-dev

 -- Scott Kitterman <scott@kitterman.com>  Tue, 01 Sep 2015 21:39:05 -0400

kmymoney (4.6.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update build-deps after soname bump in libaqbanking (Closes: #787871). 

 -- Micha Lenk <micha@debian.org>  Sat, 06 Jun 2015 15:54:20 +0200

kmymoney (4.6.6-1) unstable; urgency=low

  * New upstream release
  * Update debian/watch
  * Drop debian/patches - incorporated upstream
  * Fix "Please add a dependency on AqBanking's plugin package" 
    - Apply Micha Lenk patch (Closes: #747820)
  * Fix "segfault in split transaction" resolved upstream (Closes: #698578)

 -- Mark Purcell <msp@debian.org>  Wed, 25 Jun 2014 06:17:48 +1000

=== debian/control ===
Source: kmymoney
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.9.0),
 kdelibs5-dev (>= 4:4.4.4), kdepimlibs5-dev (>= 4:4.4.4), shared-mime-info,
 libaqbanking-dev (>= 5.6.1beta), libgwenhywfar60-dev | libgwenhywfar-dev, 
 libboost-graph-dev, libfinance-quote-perl, libgpgme11-dev, libalkimia-dev,
 libical-dev, libjpeg-dev, libofx-dev, libgmp-dev, libsoprano-dev,
 libpng-dev, libsqlite3-dev, zlib1g-dev, pkg-config
Standards-Version: 3.9.4
Homepage: http://kmymoney2.sourceforge.net
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kmymoney2/
Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kmymoney2/trunk

Package: kmymoney
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${aqbanking:Depends}, kmymoney-common (= ${source:Version})
Recommends: gnupg-agent, pinentry-qt4
Description: personal finance manager for KDE
 KMyMoney is the Personal Finance Manager for KDE. It operates similar to
 MS-Money and Quicken, supports different account types, categorisation of
 expenses, QIF import/export, multiple currencies and initial online banking
 support.

Package: kmymoney-common
Architecture: all
Depends: ${misc:Depends}
Recommends: kmymoney
Description: KMyMoney architecture independent files
 KMyMoney is the Personal Finance Manager for KDE. It operates similar to
 MS-Money and Quicken, supports different account types, categorisation of
 expenses, QIF import/export, multiple currencies and initial online banking
 support.
 .
 This package contains architecture independent files needed for KMyMoney to
 run properly. It also provides KMyMoney documentation. Therefore, unless you
 have 'kmymoney' package installed, you will hardly find this package useful.

Package: kmymoney-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, kmymoney (= ${binary:Version})
Description: KMyMoney development files
 KMyMoney is the Personal Finance Manager for KDE. It operates similar to
 MS-Money and Quicken, supports different account types, categorisation of
 expenses, QIF import/export, multiple currencies and initial online banking
 support.
 .
 This package contains development files needed for KMyMoney plugins.

Package: kmymoney-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kmymoney (= ${binary:Version}), ${misc:Depends}
Description: KMymoney debugging symbols
 KMyMoney is the Personal Finance Manager for KDE. It operates similar to
 MS-Money and Quicken, supports different account types, categorisation of
 expenses, QIF import/export, multiple currencies and initial online banking
 support.
 .
 This package contains the debugging symbols associated with kmymoney.
 They will automatically be used by gdb for debugging kmymoney-related issues.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --parallel --list-missing --dbg-package=kmymoney-dbg --with kde,aqbanking

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@uscan --force-download --destdir ../tarballs

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
http://download.kde.org/stable/kmymoney/([\d\.]*)/src/kmymoney-([\d\.]*).tar.xz debian svn-upgrade
http://sf.net/kmymoney2/kmymoney-(.*)\.tar\.xz debian svn-upgrade

## kmymoney 4.8.0

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(bs)
add_subdirectory(ca)
add_subdirectory(ca@valencia)
add_subdirectory(cs)
add_subdirectory(da)
add_subdirectory(de)
add_subdirectory(el)
add_subdirectory(en_GB)
add_subdirectory(es)
add_subdirectory(et)
add_subdirectory(eu)
add_subdirectory(fi)
add_subdirectory(fr)
add_subdirectory(gl)
add_subdirectory(hu)
add_subdirectory(it)
add_subdirectory(kk)
add_subdirectory(nds)
add_subdirectory(nl)
add_subdirectory(pl)
add_subdirectory(pt)
add_subdirectory(pt_BR)
add_subdirectory(ro)
add_subdirectory(ru)
add_subdirectory(sk)
add_subdirectory(sv)
add_subdirectory(tr)
add_subdirectory(uk)
add_subdirectory(zh_CN)
add_subdirectory(zh_TW)

=== kmymoney/reports/CMakeLists.txt ===
include_directories( ${KMyMoney_SOURCE_DIR}/libkdchart/include)

set (libreports_a_SOURCES
  kreportchartview.cpp
  reportaccount.cpp
  listtable.cpp
  objectinfotable.cpp
  pivotgrid.cpp
  pivottable.cpp
  querytable.cpp
  reporttable.cpp
  kbalanceaxis.cpp
)

kde4_add_library(reports STATIC ${libreports_a_SOURCES})

add_dependencies(reports kmm_config)

############## tests ####################
if( KDE4_BUILD_TESTS )

  # Pivot Grid
  set( pivotgridtest_SRCS pivotgridtest.cpp reportstestcommon.cpp )

  kde4_add_unit_test( pivotgridtest TESTNAME kmymoney-pivotgridtest ${pivotgridtest_SRCS} )
  add_dependencies( pivotgridtest reports kmymoney_base kmymoney_common kmm_storage )

  target_link_libraries( pivotgridtest reports kmymoney_base kmymoney_common kmm_storage ${KDE4_KDEUI_LIBS} ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} )

  # Pivot Table
  set( pivottabletest_SRCS pivottabletest.cpp reportstestcommon.cpp ../mymoney/mymoneytestutils.cpp )

  kde4_add_unit_test( pivottabletest TESTNAME kmymoney-pivottabletest ${pivottabletest_SRCS} )

  add_dependencies( pivottabletest dialogs widgets reports settings kmymoney_base kmymoney_common kmm_kdchart kmm_storage kmm_config )

  target_link_libraries( pivottabletest reports settings kmymoney_base kmymoney_common dialogs widgets kmm_kdchart kmm_storage kmm_config ${KDE4_KDEUI_LIBS} ${KDE4_KDECORE_LIBS}  ${QT_QTGUI_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} )

  # Query Table
  set( querytabletest_SRCS querytabletest.cpp reportstestcommon.cpp ../mymoney/mymoneytestutils.cpp )

  kde4_add_unit_test( querytabletest TESTNAME kmymoney-querytabletest ${querytabletest_SRCS} )
  add_dependencies( querytabletest dialogs widgets reports settings kmymoney_base kmymoney_common kmm_storage kmm_config )

  target_link_libraries( querytabletest reports kmymoney_base kmymoney_common dialogs widgets kmm_storage kmm_config ${KDE4_KDEUI_LIBS} ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} )

endif( KDE4_BUILD_TESTS )

=== kmymoney/dialogs/settings/CMakeLists.txt ===
add_custom_command(
  OUTPUT ${KMyMoney2_BINARY_DIR}/kmymoneysettings.h  ${KMyMoney2_BINARY_DIR}/kmymoneysettings.cpp
  DEPENDS ${KMyMoney2_SOURCE_DIR}/kmymoney.kcfg ${KMyMoney2_SOURCE_DIR}/kmymoneysettings.kcfgc
  COMMAND ${KDE4_KCFGC_EXECUTABLE} -d ${KMyMoney2_BINARY_DIR}/ ${KMyMoney2_SOURCE_DIR}/kmymoney.kcfg ${KMyMoney2_SOURCE_DIR}/kmymoneysettings.kcfgc
  )


set (libsettings_a_SOURCES
  ${KMyMoney2_BINARY_DIR}/kmymoneysettings.h
  ksettingscolors.cpp
  ksettingsfonts.cpp
  ksettingsforecast.cpp
  ksettingsgeneral.cpp
  ksettingsgpg.cpp
  ksettingshome.cpp
  ksettingsonlinequotes.cpp
  ksettingsregister.cpp
  ksettingsschedules.cpp
  ksettingsplugins.cpp
  ksettingsreports.cpp
  )

set (libsettings_a_UI
  ksettingscolorsdecl.ui ksettingsfontsdecl.ui
  ksettingsforecastdecl.ui ksettingsgeneraldecl.ui ksettingsgpgdecl.ui
  ksettingshomedecl.ui ksettingsonlinequotesdecl.ui
  ksettingsregisterdecl.ui ksettingsschedulesdecl.ui
  ksettingsreportsdecl.ui
  )

kde4_add_ui_files(libsettings_a_SOURCES ${libsettings_a_UI} )

kde4_add_library(settings STATIC ${libsettings_a_SOURCES})

add_dependencies(settings widgets kmm_config)

=== kmymoney/plugins/onlinetasks/CMakeLists.txt ===

add_subdirectory(interfaces)
add_subdirectory(sepa)
add_subdirectory(national)
add_subdirectory(unavailabletask)

=== kmymoney/plugins/onlinetasks/national/tests/CMakeLists.txt ===
set( germanonlinetransfertest_SRCS
  germanonlinetransfertest.cpp
  )

kde4_add_unit_test( germanonlinetransfertest
  TESTNAME kmymoney-germanOnlineTransferTest
  ${germanonlinetransfertest_SRCS}
  $<TARGET_OBJECTS:konlinetasks_national_OBJECTS>
  $<TARGET_OBJECTS:konlinetasks_sepa_OBJECTS>
)

add_dependencies( germanonlinetransfertest
  konlinetasks_national
  konlinetasks_sepa
)

target_link_libraries( germanonlinetransfertest
  kmm_mymoney
  kmm_widgets
  kmymoney_base
  kmm_config
  kmm_plugin
  kmm_utils_validators
  onlinetask_interfaces
  payeeidentifier_nationalAccount
  payeeidentifier_iban_bic
  payeeidentifier_iban_bic_widgets
  payeeidentifier_iban_bic_delegates
  ${QT_QTCORE_LIBRARIES}
  ${QT_QTGUI_LIBRARIES}
  ${QT_QTTEST_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
  ${QT_QTXML_LIBRARY}
  ${LIBALKIMIA_LIBRARY}
  ${GMP_LIBRARIES} # TODO: remove when alkimia cmake config file got fixed
#  ${KTOBLZCHECK_LIBRARY}
)

=== debian/changelog ===
kmymoney (4.8.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sat, 25 Jun 2016 09:50:06 +0200

kmymoney (4.8.0-1) experimental; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * New upstream release: (Closes: #770877) (LP: #1553640)
    - allows one to select the payee source when importing OFX files
      (Closes: #760516)
  * Remove kmymoney-dbg in favour of the -dbgsym packages.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Disable building of tests, since it is not easy to run them.
  * Update install files.
  * Backport upstream commits bf8fb00d91eaa260127b7a38b3c820bccd02bfd3 and
    b0ed94a49111b60ebc99a7331f8395604e68f8c3 to fix the installation of the
    kmymoney.appdata.xml file; patches
    upstream_cmake-do-not-install-the-appdata-as-executable.patch and
    upstream_cmake-fix-appdata-installation-directory.patch.
  * Improve the watch file.
  * Set the generic SONAME for libkmm_payeeidentifier; patch soname.diff.
  * Update lintian overrides.
  * Bump the libalkimia-dev build dependency to >= 5.0.0, to make sure to use
    the new libalkimia version.

  [ Micha Lenk ]
  * Update the Gwenhywfar build dependencies. (Closes: #824705)

 -- Pino Toscano <pino@debian.org>  Tue, 21 Jun 2016 06:01:02 +0200

kmymoney (4.6.6-3) unstable; urgency=medium

  * Team upload.
  * Remove extra libsoprano-dev build dependency, which was added as workaround
    for a bug in kdelibs5-dev.
  * Remove unused libjpeg-dev, libpng-dev, libsqlite3-dev, and zlib1g-dev
    build dependencies.
  * Drop menu file and its pixmap, since kmymoney already provides a .desktop
    file.
  * Use https in the Vcs-Browser field.
  * Move the libfinance-quote-perl build dependency as recommend in
    kmymoney-common, as it's an optional runtime feature only.
  * Bump Standards-Version to 3.9.7, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Apr 2016 11:51:44 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,15 @@
 Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
 Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.9.0),
  kdelibs5-dev (>= 4:4.4.4), kdepimlibs5-dev (>= 4:4.4.4), shared-mime-info,
- libaqbanking-dev (>= 5.6.1beta), libgwenhywfar60-dev | libgwenhywfar-dev, 
- libboost-graph-dev, libfinance-quote-perl, libgpgme11-dev, libalkimia-dev,
- libical-dev, libjpeg-dev, libofx-dev, libgmp-dev, libsoprano-dev,
- libpng-dev, libsqlite3-dev, zlib1g-dev, pkg-config
-Standards-Version: 3.9.4
+ libaqbanking-dev (>= 5.6.1beta),
+ libgwenhywfar-core-dev, libgwengui-qt4-dev,
+ libboost-graph-dev, libgpgme11-dev,
+ libalkimia-dev (>= 5.0.0),
+ libical-dev, libofx-dev, libgmp-dev,
+ pkg-config,
+Standards-Version: 3.9.8
 Homepage: http://kmymoney2.sourceforge.net
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kmymoney2/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kmymoney2/
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kmymoney2/trunk
 
 Package: kmymoney
@@ -27,7 +29,8 @@
 Package: kmymoney-common
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: kmymoney
+Recommends: kmymoney,
+ libfinance-quote-perl,
 Description: KMyMoney architecture independent files
  KMyMoney is the Personal Finance Manager for KDE. It operates similar to
  MS-Money and Quicken, supports different account types, categorisation of
@@ -49,17 +52,3 @@
  support.
  .
  This package contains development files needed for KMyMoney plugins.
-
-Package: kmymoney-dbg
-Section: debug
-Architecture: any
-Priority: extra
-Depends: kmymoney (= ${binary:Version}), ${misc:Depends}
-Description: KMymoney debugging symbols
- KMyMoney is the Personal Finance Manager for KDE. It operates similar to
- MS-Money and Quicken, supports different account types, categorisation of
- expenses, QIF import/export, multiple currencies and initial online banking
- support.
- .
- This package contains the debugging symbols associated with kmymoney.
- They will automatically be used by gdb for debugging kmymoney-related issues.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --parallel --list-missing --with kde,aqbanking

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON -DKDE4_BUILD_TESTS=OFF

override_dh_strip:
	dh_strip --dbgsym-migration='kmymoney-dbg (<< 4.8.0-1~)'

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@uscan --force-download --destdir ../tarballs

.PHONY: override_dh_auto_test

=== debian/watch ===
version=4
http://download.kde.org/stable/kmymoney/([\d\.]+)/src/kmymoney-([\d\.]+)\.tar\.xz debian svn-upgrade
#http://sf.net/kmymoney2/kmymoney-(.*)\.tar\.xz debian svn-upgrade

## kmymoney 4.8.1.1

=== debian/changelog ===
kmymoney (4.8.1.1-2~mx17+1) mx; urgency=medium

  * Rebuild for MX-17.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 08 Feb 2018 14:03:08 -0800

kmymoney (4.8.1.1-2) unstable; urgency=medium

  * Team upload.
  * Fix double vs float qreal issue; patch qreal.diff. (Closes: #887235)

 -- Pino Toscano <pino@debian.org>  Sun, 14 Jan 2018 20:43:11 +0100

kmymoney (4.8.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - the MySQL backend works again (Closes: #850085)
  * Update the patches:
    - upstream_cmake-do-not-install-the-appdata-as-executable.patch: drop,
      backported from upstream
    - upstream_cmake-fix-appdata-installation-directory.patch: drop, backported
      from upstream
    - upstream_Added-versioning-to-kmm_payeeidentifier-library.patch: drop,
      backported from upstream
    - upstream_Fix-duplicated-symbol-compile-error-on-Windows.patch: drop,
      backported from upstream
    - upstream_Fix-Compile-error-on-Fedora-26.patch: drop, backported from
      upstream
    - upstream_Fix-compilation-with-CMake-3.9.patch: drop, backported from
      upstream
  * Update install files.
  * Move the appdata file to the metainfo directory.
  * Remove the kmymoney-dev binary, since there is no stable API/ABI
    - make sure to not ship development stuff
  * Drop man-*.docbook translations, since they only helper for translating
    man pages.
  * Update lintian overrides.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Make sure to call dh_auto_configure using the 'kde' buildsystem.
  * Use the ${perl:Depends} substvar in kmymoney-common.
  * Switch Homepage to https://kmymoney.org/.
  * Add pinentry-x11 as alternative for the pinentry-qt recommend, so other
    pinentry GUIs can be used.

 -- Pino Toscano <pino@debian.org>  Sat, 13 Jan 2018 12:58:47 +0100

kmymoney (4.8.0-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Replace patch soname.diff with the backport of the upstream commit
    1b818335b4242ad5096489ab4f8e3e7c3fc62d55; patch
    upstream_Added-versioning-to-kmm_payeeidentifier-library.patch.
  * Backport upstream commits 6d235f2cd835d5d3e00dee43ed29bdf2c5ca80d5,
    b0a68ca075928aa29ee1e0007bfb14d714f5a948 and
    79176db9fa18a7486f4c1194ea3377eb6637a023 to fix build with newer cmake;
    patches upstream_Fix-duplicated-symbol-compile-error-on-Windows.patch,
    upstream_Fix-Compile-error-on-Fedora-26.patch and
    upstream_Fix-compilation-with-CMake-3.9.patch. (Closes: #871373)
  * Remove Fathi Boudra from Uploaders, as requested by the MIA team.
    (Closes: #879354)
  * Switch the libical-dev build dependency to libical2-dev, as kcalcore in
    kdepimlibs (used indirectly) does not support libical3.
  * Remove trailing whitespaces in changelog.
  * Use https in the watch file.
  * Switch the transitional pinentry-qt4 recommend to pinentry-qt.

 -- Pino Toscano <pino@debian.org>  Thu, 21 Dec 2017 11:45:37 +0100

=== debian/control ===
Source: kmymoney
Section: kde
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.9.0),
 kdelibs5-dev (>= 4:4.4.4), kdepimlibs5-dev (>= 4:4.4.4), shared-mime-info,
 libaqbanking-dev (>= 5.6.1beta),
 libgwenhywfar-core-dev, libgwengui-qt4-dev,
 libboost-graph-dev, libgpgme11-dev,
 libalkimia-dev (>= 5.0.0),
 libical2-dev | libical-dev (>= 2), libofx-dev, libgmp-dev,
 pkg-config,
Standards-Version: 4.1.3
Homepage: https://kmymoney.org/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kmymoney2/
Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kmymoney2/trunk

Package: kmymoney
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${aqbanking:Depends},
         kmymoney-common (= ${source:Version})
Recommends: gnupg-agent, pinentry-qt | pinentry-x11
Description: personal finance manager for KDE
 KMyMoney is the Personal Finance Manager for KDE. It operates similar to
 MS-Money and Quicken, supports different account types, categorisation of
 expenses, QIF import/export, multiple currencies and initial online banking
 support.

Package: kmymoney-common
Architecture: all
Depends: ${misc:Depends},
 ${perl:Depends},
Recommends: kmymoney,
 libfinance-quote-perl,
Description: KMyMoney architecture independent files
 KMyMoney is the Personal Finance Manager for KDE. It operates similar to
 MS-Money and Quicken, supports different account types, categorisation of
 expenses, QIF import/export, multiple currencies and initial online banking
 support.
 .
 This package contains architecture independent files needed for KMyMoney to
 run properly. It also provides KMyMoney documentation. Therefore, unless you
 have 'kmymoney' package installed, you will hardly find this package useful.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,20 @@
 	dh $@ --parallel --list-missing --with kde,aqbanking
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON -DKDE4_BUILD_TESTS=OFF
+	dh_auto_configure -Skde -- -DCMAKE_SKIP_RPATH=ON -DKDE4_BUILD_TESTS=OFF
+
+override_dh_auto_install:
+	dh_auto_install
+	# move the appdata file to the right place
+	mkdir -p debian/tmp/usr/share/metainfo
+	mv debian/tmp/usr/share/kde4/apps/appdata/org.kde.kmymoney.appdata.xml debian/tmp/usr/share/metainfo/
+	rmdir debian/tmp/usr/share/kde4/apps/appdata/
+	# remove development stuff
+	rm -rf debian/tmp/usr/include/
+	find debian/tmp -name '*.so' -type l -delete
+	# drop man-*.docbook translations, since they only helper for
+	# translating man pages
+	find debian/tmp -name 'man-*.docbook' -delete
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='kmymoney-dbg (<< 4.8.0-1~)'
